Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.auth
Enum YAACKeyManager.KeyType

    java.lang.Object
      java.lang.Enum<YAACKeyManager.KeyType>
          org.ka2ddo.yaac.auth.YAACKeyManager.KeyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YAACKeyManager.KeyType>

Enclosing class:
  YAACKeyManager

    public static enum YAACKeyManager.KeyType

extends java.lang.Enum<YAACKeyManager.KeyType>

Enumeration identifying different types of encryption keys that can be stored in the KeyManager.

Enum Constant Summary
`PRIVATE` The private half of a public/private key pair.
`PUBLIC` The public half of a public/private key pair, generally as a signed certificate.
`SECRET` A symmetric key that will both encrypt and decrypt a message using symmetric encryption algorithms.

Method Summary
`static YAACKeyManager.KeyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YAACKeyManager.KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIVATE

    public static final YAACKeyManager.KeyType PRIVATE

  The private half of a public/private key pair.

### PUBLIC

    public static final YAACKeyManager.KeyType PUBLIC

  The public half of a public/private key pair, generally as a signed certificate.

### SECRET

    public static final YAACKeyManager.KeyType SECRET

  A symmetric key that will both encrypt and decrypt a message using symmetric encryption algorithms.

Method Detail

### values

    public static YAACKeyManager.KeyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YAACKeyManager.KeyType c : YAACKeyManager.KeyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YAACKeyManager.KeyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD